## dav1d 0.7.1

=== meson_options.txt ===
# General options

option('bitdepths',
    type: 'array',
    choices: ['8', '16'],
    description: 'Enable only specified bitdepths')

option('enable_asm',
    type: 'boolean',
    value: true,
    description: 'Build asm files, if available')

option('enable_avx512',
    type: 'boolean',
    value: true,
    description: 'Build AVX-512 asm files, requires nasm 2.14')

option('enable_tools',
    type: 'boolean',
    value: true,
    description: 'Build dav1d cli tools')

option('enable_examples',
    type: 'boolean',
    value: false,
    description: 'Build dav1d examples')

option('enable_tests',
    type: 'boolean',
    value: true,
    description: 'Build dav1d tests')

option('logging',
    type: 'boolean',
    value: true,
    description: 'Print error log messages using the provided callback function')

option('testdata_tests',
    type: 'boolean',
    value: false,
    description: 'Run tests requiring the test data repository')

option('fuzzing_engine',
    type: 'combo',
    choices : ['none', 'libfuzzer', 'oss-fuzz'],
    value: 'none',
    description: 'Select the fuzzing engine')

option('fuzzer_ldflags',
    type: 'string',
    description: 'Extra LDFLAGS used during linking of fuzzing binaries')

option('stack_alignment',
    type: 'integer',
    value: 0)

## dav1d 0.5.1

=== debian/changelog ===
dav1d (0.5.1-1~bpo10~1) buster; urgency=medium

  [ Dylan Aïssi ]
  * Add in d/rules: buildtype="release"
  * New upstream version
  * Bump SONAME to libdav1d3
  * Update d/copyright
  * Bump debhelper-compat to 12

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1

  [ Serge Schneider ]
  * Buster backport

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 10:08:45 +0100

dav1d (0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump SONAME to libdav1d1.
  * Update symbols file.
  * Bump Build-Depends nasm to >= 2.13.02.
  * Update d/copyright.
  * Check gpg signature with watch file.
  * Bump Standards-Version to 4.3.0.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 Mar 2019 15:45:27 +0100

dav1d (0.1.0-1) unstable; urgency=medium

  * Initial Debian release. (Closes: #916333)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 14 Dec 2018 18:35:29 +0100

=== debian/control ===
Source: dav1d
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: video
Priority: optional
Build-Depends: debhelper-compat (= 12),
               meson (>= 0.47),
               ninja-build,
               nasm (>= 2.13.02) [any-amd64 any-i386]
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/dav1d
Vcs-Git: https://salsa.debian.org/multimedia-team/dav1d.git
Homepage: https://code.videolan.org/videolan/dav1d

Package: dav1d
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: fast and small AV1 video stream decoder
 dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
 and correctness.
 .
 dav1d supports the following features:
  * support for all features of the AV1 bitstream
  * support for all bitdepth, 8, 10 and 12bits
  * support for all chroma subsamplings 4:2:0, 4:2:2, 4:4:4 and grayscale
  * full acceleration for AVX-2 64bits processors
  * partial acceleration for SSSE3 processors
  * partial acceleration for NEON processors

Package: libdav1d3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: fast and small AV1 video stream decoder (shared library)
 dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
 and correctness.
 .
 dav1d supports the following features:
  * support for all features of the AV1 bitstream
  * support for all bitdepth, 8, 10 and 12bits
  * support for all chroma subsamplings 4:2:0, 4:2:2, 4:4:4 and grayscale
  * full acceleration for AVX-2 64bits processors
  * partial acceleration for SSSE3 processors
  * partial acceleration for NEON processors
 .
 This package provides the shared library.

Package: libdav1d-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libdav1d3 (= ${binary:Version}),
         ${misc:Depends}
Description: fast and small AV1 video stream decoder (development files)
 dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
 and correctness.
 .
 dav1d supports the following features:
  * support for all features of the AV1 bitstream
  * support for all bitdepth, 8, 10 and 12bits
  * support for all chroma subsamplings 4:2:0, 4:2:2, 4:4:4 and grayscale
  * full acceleration for AVX-2 64bits processors
  * partial acceleration for SSSE3 processors
  * partial acceleration for NEON processors
 .
 This package provides the development files for libdav1d.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --buildtype="release"

## dav1d 0.6.0

=== debian/changelog ===
dav1d (0.6.0-0~ab10+1) buster-ab-unstable; urgency=medium

  Preliminary build for hellfield (still stuck in NEW).
  From salsa@63001f4a849a9ae56fac3c2013921205c089db45

  [ Dylan Aïssi ]
  * New upstream release.
  * Bump minimal nasm version to 2.14.
  * Update d/copyright.
  * Bump Standards-Version to 4.5.0.
  * Bump SONAME to libdav1d4.

 -- Stephan Sürken <absurd@olurdix.de>  Mon, 13 Apr 2020 14:39:01 +0200

dav1d (0.5.2-1) unstable; urgency=medium

  * Initial Debian release. (Closes: #916333)
  * Clarify the AOM patent license which is not a copyright
    license but rather an "optional extra" which grants
    users patent rights under some extra conditions.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 11 Jan 2020 16:30:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 12),
                meson (>= 0.47),
                ninja-build,
-               nasm (>= 2.13.02) [any-amd64 any-i386]
-Standards-Version: 4.3.0
+               nasm (>= 2.14) [any-amd64 any-i386]
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/dav1d
 Vcs-Git: https://salsa.debian.org/multimedia-team/dav1d.git
 Homepage: https://code.videolan.org/videolan/dav1d
@@ -24,11 +24,12 @@
   * support for all features of the AV1 bitstream
   * support for all bitdepth, 8, 10 and 12bits
   * support for all chroma subsamplings 4:2:0, 4:2:2, 4:4:4 and grayscale
-  * full acceleration for AVX-2 64bits processors
-  * partial acceleration for SSSE3 processors
-  * partial acceleration for NEON processors
+  * full acceleration for AVX-2 chips
+  * full acceleration for SSSE3+ chips
+  * full acceleration for ARMv8 chips
+  * partial acceleration for ARMv7 chips
 
-Package: libdav1d3
+Package: libdav1d4
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -42,9 +43,10 @@
   * support for all features of the AV1 bitstream
   * support for all bitdepth, 8, 10 and 12bits
   * support for all chroma subsamplings 4:2:0, 4:2:2, 4:4:4 and grayscale
-  * full acceleration for AVX-2 64bits processors
-  * partial acceleration for SSSE3 processors
-  * partial acceleration for NEON processors
+  * full acceleration for AVX-2 chips
+  * full acceleration for SSSE3+ chips
+  * full acceleration for ARMv8 chips
+  * partial acceleration for ARMv7 chips
  .
  This package provides the shared library.
 
@@ -52,7 +54,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libdav1d3 (= ${binary:Version}),
+Depends: libdav1d4 (= ${binary:Version}),
          ${misc:Depends}
 Description: fast and small AV1 video stream decoder (development files)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
@@ -62,8 +64,9 @@
   * support for all features of the AV1 bitstream
   * support for all bitdepth, 8, 10 and 12bits
   * support for all chroma subsamplings 4:2:0, 4:2:2, 4:4:4 and grayscale
-  * full acceleration for AVX-2 64bits processors
-  * partial acceleration for SSSE3 processors
-  * partial acceleration for NEON processors
+  * full acceleration for AVX-2 chips
+  * full acceleration for SSSE3+ chips
+  * full acceleration for ARMv8 chips
+  * partial acceleration for ARMv7 chips
  .
  This package provides the development files for libdav1d.

## dav1d 0.7.1

=== debian/changelog ===
dav1d (0.7.1-3~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat 12.
  * Disable the test override, since it causes a FTBFS and we don't build armel.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 01 Aug 2020 09:01:38 -0700

dav1d (0.7.1-3) unstable; urgency=high

  * Team upload.
  * Disable asm code on x32, it hasn’t been ported there (Closes: #964576)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 08 Jul 2020 23:07:41 +0200

dav1d (0.7.1-2) unstable; urgency=medium

  * Update homepage in d/control
  * Increase test timeout (Closes: #964249)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 Jul 2020 22:39:36 +0200

dav1d (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.1
  * Bump debhelper version to 13
  * Cosmetically re-order fields
  * Install examples to libdav1d-dev
  * Suppress spelling error false positive
  * Add upstream metadata file

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 03 Jul 2020 21:18:02 +0200

dav1d (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimal nasm version to 2.14.
  * Update d/copyright.
  * Bump Standards-Version to 4.5.0.
  * Bump SONAME to libdav1d4.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 May 2020 14:54:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: dav1d
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: video
 Priority: optional
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 12),
                meson (>= 0.47),
-               ninja-build,
-               nasm (>= 2.14) [any-amd64 any-i386]
+               nasm (>= 2.14) [any-amd64 any-i386],
+               ninja-build
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.videolan.org/projects/dav1d.html
 Vcs-Browser: https://salsa.debian.org/multimedia-team/dav1d
 Vcs-Git: https://salsa.debian.org/multimedia-team/dav1d.git
-Homepage: https://code.videolan.org/videolan/dav1d
 
 Package: dav1d
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: fast and small AV1 video stream decoder
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.
@@ -33,8 +34,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: fast and small AV1 video stream decoder (shared library)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.
@@ -54,8 +54,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libdav1d4 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libdav1d4 (= ${binary:Version}), ${misc:Depends}
 Description: fast and small AV1 video stream decoder (development files)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

CONFIG_ARGS:=	--buildtype="release"

DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq (x32,$(DEB_HOST_ARCH))
CONFIG_ARGS+=	-Denable_asm=false
endif

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIG_ARGS}

#override_dh_auto_test:
	# Since 0.7.1, test timeout on armel
	# https://bugs.debian.org/964249
	# So, increase test timeout values
#	dh_auto_test -- -t 10

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## dav1d 0.9.0

=== debian/changelog ===
dav1d (0.9.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 21 Jun 2021 13:26:03 -0700

dav1d (0.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Update d/libdav1d5.symbols.
  * Bump year in d/copyright.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 17 May 2021 14:45:02 +0200

dav1d (0.8.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump year in d/copyright.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 12 May 2021 10:45:22 +0200

dav1d (0.8.1-1) experimental; urgency=medium

  [ Vasyl Gello ]
  * Team upload.
  * New upstream version 0.8.1
  * Bump SONAME to libdav1d5

  [ Dylan Aïssi ]
  * Remove part to disable asm on x32 in d/rules,
      should be fixed in upstream makefile.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 28 Jan 2021 21:10:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                meson (>= 0.47),
                nasm (>= 2.14) [any-amd64 any-i386],
                ninja-build
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.videolan.org/projects/dav1d.html
 Vcs-Browser: https://salsa.debian.org/multimedia-team/dav1d
@@ -30,7 +30,7 @@
   * full acceleration for ARMv8 chips
   * partial acceleration for ARMv7 chips
 
-Package: libdav1d4
+Package: libdav1d5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -54,7 +54,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libdav1d4 (= ${binary:Version}), ${misc:Depends}
+Depends: libdav1d5 (= ${binary:Version}), ${misc:Depends}
 Description: fast and small AV1 video stream decoder (development files)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

CONFIG_ARGS:=	--buildtype="release"

# Should be fixed in upstream makefile since 0.8.0
# https://code.videolan.org/videolan/dav1d/-/commit/725f37684d
#DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
#ifeq (x32,$(DEB_HOST_ARCH))
#CONFIG_ARGS+=	-Denable_asm=false
#endif

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIG_ARGS}

#override_dh_auto_test:
	# Since 0.7.1, test timeout on armel
	# https://bugs.debian.org/964249
	# So, increase test timeout values
#	dh_auto_test -- -t 30

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## dav1d 0.9.2

=== debian/changelog ===
dav1d (0.9.2-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 16 Dec 2021 16:31:34 -0500

dav1d (0.9.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 12 Sep 2021 14:35:05 +0200

dav1d (0.9.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Sep 2021 20:20:36 +0200

dav1d (0.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Add more copyright holders in d/copyright.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 30 Jul 2021 11:21:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dav1d
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                meson (>= 0.47),
-               nasm (>= 2.14) [any-amd64 any-i386],
-               ninja-build
-Standards-Version: 4.5.1
+               ninja-build,
+               nasm (>= 2.14) [any-amd64 any-i386]
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.videolan.org/projects/dav1d.html
 Vcs-Browser: https://salsa.debian.org/multimedia-team/dav1d
@@ -16,7 +16,8 @@
 
 Package: dav1d
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: fast and small AV1 video stream decoder
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.
@@ -34,7 +35,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: fast and small AV1 video stream decoder (shared library)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.
@@ -54,7 +56,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libdav1d5 (= ${binary:Version}), ${misc:Depends}
+Depends: libdav1d5 (= ${binary:Version}),
+         ${misc:Depends}
 Description: fast and small AV1 video stream decoder (development files)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

CONFIG_ARGS:=	--buildtype="release"

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIG_ARGS}

override_dh_auto_test:
	# Since 0.7.1, test timeout on armel
	# https://bugs.debian.org/964249
	# So, increase test timeout values
	dh_auto_test -- -t 10

## dav1d 1.0.0

=== debian/changelog ===
dav1d (1.0.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jul 2022 15:01:50 -0700

dav1d (1.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Sun, 22 May 2022 14:56:08 +0200

dav1d (1.0.0-1) experimental; urgency=medium

  * New upstream version
  * Bump SONAME to libdav1d6
  * Update d/libdav1d6.symbols
  * Update d/copyright

 -- Dylan Aïssi <daissi@debian.org>  Mon, 21 Mar 2022 21:59:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: dav1d
 Section: video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.47),
-               ninja-build,
-               nasm (>= 2.14) [any-amd64 any-i386]
+               nasm (>= 2.14) [any-amd64 any-i386],
+               ninja-build
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.videolan.org/projects/dav1d.html
@@ -16,8 +16,7 @@
 
 Package: dav1d
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: fast and small AV1 video stream decoder
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.
@@ -31,12 +30,11 @@
   * full acceleration for ARMv8 chips
   * partial acceleration for ARMv7 chips
 
-Package: libdav1d5
+Package: libdav1d6
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: fast and small AV1 video stream decoder (shared library)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.
@@ -56,8 +54,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libdav1d5 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libdav1d6 (= ${binary:Version}), ${misc:Depends}
 Description: fast and small AV1 video stream decoder (development files)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 CONFIG_ARGS:=	--buildtype="release"
 
@@ -18,3 +15,6 @@
 	# https://bugs.debian.org/964249
 	# So, increase test timeout values
 	dh_auto_test -- -t 10
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## dav1d 1.1.0

=== debian/changelog ===
dav1d (1.1.0-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version 1.1.0
  * Standards-Version: 4.6.2 (no changes required)
  * Update symbols file
  * Upload to experimental because of the Bookworm freeze

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on meson and nasm.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 14 Feb 2023 21:09:12 +0100

## dav1d 1.2.0

=== debian/changelog ===
dav1d (1.2.0-1) experimental; urgency=medium

  * New upstream version 1.2.0

 -- Dylan Aïssi <daissi@debian.org>  Thu, 04 May 2023 17:53:56 +0200

## dav1d 1.2.1

=== debian/changelog ===
dav1d (1.2.1-2deepin1) unstable; urgency=medium

  * Fix CVE-2024-1580:
    d/patches/debian/patches/Fix-tile_start_off-calculations-for-extremely-large-frame-sizes.diff
    An integer overflow in dav1d AV1 decoder that can occur when decoding
    videos with large frame size. This can lead to memory corruption within
    the AV1 decoder.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 10 May 2024 16:58:13 +0800

dav1d (1.2.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Jun 2023 15:03:29 +0200

dav1d (1.2.1-1) experimental; urgency=medium

  * New upstream version 1.2.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 03 Jun 2023 21:36:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: dav1d
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               meson (>= 0.47),
-               nasm (>= 2.14) [any-amd64 any-i386],
-               ninja-build
-Standards-Version: 4.6.0
+               meson,
+               ninja-build,
+               nasm [any-amd64 any-i386]
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.videolan.org/projects/dav1d.html
 Vcs-Browser: https://salsa.debian.org/multimedia-team/dav1d
@@ -16,7 +15,8 @@
 
 Package: dav1d
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: fast and small AV1 video stream decoder
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.
@@ -34,7 +34,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: fast and small AV1 video stream decoder (shared library)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.
@@ -54,7 +55,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libdav1d6 (= ${binary:Version}), ${misc:Depends}
+Depends: libdav1d6 (= ${binary:Version}),
+         ${misc:Depends}
 Description: fast and small AV1 video stream decoder (development files)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
  and correctness.

## dav1d 1.4.0

=== debian/changelog ===
dav1d (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
    - CVE-2024-1580 (Closes: #1064310)
  * Update VideoLAN Release Signing Key
  * Remove debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Tue, 20 Feb 2024 21:21:06 +0100

dav1d (1.3.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Nov 2023 10:54:15 +0100

dav1d (1.3.0-1) experimental; urgency=medium

  * New upstream version 1.3.0
  * Bump SONAME to libdav1d7
  * Update symbols file
  * Update debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Sat, 14 Oct 2023 15:58:50 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
   * full acceleration for ARMv8 chips
   * partial acceleration for ARMv7 chips
 
-Package: libdav1d6
+Package: libdav1d7
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -55,7 +55,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libdav1d6 (= ${binary:Version}),
+Depends: libdav1d7 (= ${binary:Version}),
          ${misc:Depends}
 Description: fast and small AV1 video stream decoder (development files)
  dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed

## dav1d 1.4.1

=== meson_options.txt ===
--- 
+++ 
@@ -9,11 +9,6 @@
     type: 'boolean',
     value: true,
     description: 'Build asm files, if available')
-
-option('enable_avx512',
-    type: 'boolean',
-    value: true,
-    description: 'Build AVX-512 asm files, requires nasm 2.14')
 
 option('enable_tools',
     type: 'boolean',
@@ -29,6 +24,16 @@
     type: 'boolean',
     value: true,
     description: 'Build dav1d tests')
+
+option('enable_seek_stress',
+    type: 'boolean',
+    value: false,
+    description: 'Build seek_stress test tool')
+
+option('enable_docs',
+    type: 'boolean',
+    value: false,
+    description: 'Build dav1d documentation')
 
 option('logging',
     type: 'boolean',
@@ -53,3 +58,13 @@
 option('stack_alignment',
     type: 'integer',
     value: 0)
+
+option('xxhash_muxer',
+    type : 'feature',
+    value : 'auto')
+
+option('trim_dsp',
+    type: 'combo',
+    choices: ['true', 'false', 'if-release'],
+    value: 'if-release',
+    description: 'Eliminate redundant DSP functions where possible')

=== debian/changelog ===
dav1d (1.4.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:31:35 +0000

dav1d (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Refresh debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 Mar 2024 18:59:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dav1d
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson,

## dav1d 1.4.3

=== debian/changelog ===
dav1d (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3

 -- Dylan Aïssi <daissi@debian.org>  Thu, 27 Jun 2024 09:44:01 +0200

dav1d (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * Standards-Version: 4.7.0 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 May 2024 13:15:47 +0200

## dav1d 1.5.0

=== debian/changelog ===
dav1d (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0

 -- Dylan Aïssi <daissi@debian.org>  Wed, 23 Oct 2024 15:26:36 +0200

## dav1d 1.5.1

=== debian/changelog ===
dav1d (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 23 Jan 2025 14:30:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: dav1d
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson,
                ninja-build,
                nasm [any-amd64 any-i386]
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.videolan.org/projects/dav1d.html
 Vcs-Browser: https://salsa.debian.org/multimedia-team/dav1d

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://download.videolan.org/pub/videolan/dav1d/([\d][\d\.]+[a-z]?)/dav1d-([\d][\d\.]+[a-z]?)\.tar\.(?:gz|bz2|xz)

## dav1d 1.5.2

=== debian/changelog ===
dav1d (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * Standards-Version: 4.7.2 (no changes required)
  * Remove redundant "Rules-Requires-Root: no"
  * Convert watch to version 5
  * Update debian/copyright
  * Add debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Wed, 05 Nov 2025 13:54:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
                meson,
                ninja-build,
                nasm [any-amd64 any-i386]
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.videolan.org/projects/dav1d.html
 Vcs-Browser: https://salsa.debian.org/multimedia-team/dav1d
 Vcs-Git: https://salsa.debian.org/multimedia-team/dav1d.git

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,3 @@
 	# https://bugs.debian.org/964249
 	# So, increase test timeout values
 	dh_auto_test -- -t 10
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
Version: 5

Source: https://download.videolan.org/pub/videolan/dav1d/([\d][\d\.]+[a-z]?)/
Matching-Pattern: dav1d-([\d][\d\.]+[a-z]?)\.tar\.(?:gz|bz2|xz)
Pgpsigurlmangle: s/$/.asc/

## dav1d 1.5.3

=== debian/changelog ===
dav1d (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * Update dav1d description

 -- Dylan Aïssi <daissi@debian.org>  Thu, 01 Jan 2026 16:38:44 +0100

=== debian/control ===
Source: dav1d
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson,
               ninja-build,
               nasm [any-amd64 any-i386]
Standards-Version: 4.7.2
Homepage: https://www.videolan.org/projects/dav1d.html
Vcs-Browser: https://salsa.debian.org/multimedia-team/dav1d
Vcs-Git: https://salsa.debian.org/multimedia-team/dav1d.git

Package: dav1d
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: fast and small AV1 video stream decoder
 dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
 and correctness.
 .
 dav1d supports all features from AV1, including all subsampling and
 bit-depth parameters.

Package: libdav1d7
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: fast and small AV1 video stream decoder (shared library)
 dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
 and correctness.
 .
 dav1d supports all features from AV1, including all subsampling and
 bit-depth parameters.
 .
 This package provides the shared library.

Package: libdav1d-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libdav1d7 (= ${binary:Version}),
         ${misc:Depends}
Description: fast and small AV1 video stream decoder (development files)
 dav1d is an AOMedia Video 1 (AV1) cross-platform decoder and focused on speed
 and correctness.
 .
 dav1d supports all features from AV1, including all subsampling and
 bit-depth parameters.
 .
 This package provides the development files for libdav1d.
